Skip to content

getSalesRFQLines

READ

Get sales r f q lines.

POST /api/v1/sales/getSalesRFQLines
curl -X POST '<your-host>/api/v1/sales/getSalesRFQLines' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "salesRfqId": "string"
  }'
Response
{
  "results": [
    {
      "companyId": "string",
      "createdAt": "string",
      "createdBy": "string",
      "customerPartId": "string",
      "customerPartRevision": "string",
      "customFields": "…",
      "description": "string",
      "externalNotes": "…",
      "id": "string",
      "internalNotes": "…",
      "itemId": "string",
      "itemName": "string",
      "itemReadableId": "string",
      "itemType": "Part",
      "methodType": "Purchase to Order",
      "order": 0,
      "quantity": [
        0
      ],
      "salesRfqId": "string",
      "tags": [
        "string"
      ],
      "thumbnailPath": "string",
      "unitOfMeasureCode": "string",
      "updatedAt": "string",
      "updatedBy": "string"
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "salesRfqId": {
      "type": "string"
    }
  },
  "required": [
    "salesRfqId"
  ]
}